> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nomi.tools/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all nomenclature

> Retrieve a list of nomenclature items (products and services) with pagination.



## OpenAPI

````yaml get /v1/nomenclature
openapi: 3.0.0
info:
  title: Nomenclature API
  version: 1.0.0
servers:
  - url: https://api.nomi.tools
    description: Main API server
security:
  - basicAuth: []
paths:
  /v1/nomenclature:
    get:
      tags:
        - Nomenclature
      summary: Get all nomenclature
      description: >-
        Retrieve a list of nomenclature items (products and services) with
        pagination.
      operationId: getNomenclature
      parameters:
        - name: pagination
          in: query
          required: false
          schema:
            type: object
            properties:
              limit:
                type: integer
              offset:
                type: integer
        - name: Accept
          in: header
          required: true
          schema:
            type: string
            enum:
              - application/json
            default: application/json
      responses:
        '200':
          description: List of nomenclature
          content:
            application/json:
              schema:
                type: object
                properties:
                  nomenclature:
                    type: array
                    items:
                      $ref: '#/components/schemas/NomenclaturePayload'
                  meta:
                    type: object
                  defaultCurrency:
                    type: object
components:
  schemas:
    NomenclaturePayload:
      type: object
      required:
        - name
        - type
        - unitId
      properties:
        id:
          type: string
          nullable: true
        name:
          type: string
        type:
          type: string
          enum:
            - product
            - service
        categoryId:
          type: string
          nullable: true
        externalId:
          type: string
          nullable: true
        notes:
          type: string
          nullable: true
        sku:
          type: string
          nullable: true
        unitId:
          type: string
        defaultSellingPrice:
          type: number
          nullable: true
        defaultSellingCurrencyId:
          type: string
          nullable: true
        averagePriceCurrencyId:
          type: string
          nullable: true
        legalEntityId:
          type: string
          nullable: true
        dateOfReceipt:
          type: string
          format: date
          nullable: true
        initialStockQuantity:
          type: number
          nullable: true
        averagePrice:
          type: number
          nullable: true
        isArchived:
          type: boolean
        isIgnoreCostRecalc:
          type: boolean
          nullable: true
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: >
        Use HTTP Basic Authentication.  Provide your email as login and PPT
        token as the password.

````